# Revoke the signing links of a document (https://docs-ecmrhub-v2.lucaspiera.com/docs/api/signing-links/revoke_sign_grants)

## POST /rest/v1/rpc/revoke_sign_grants

Revoke the signing links of a document

Revokes the signing links of a document. May need a person's approval.

```json
{
  "operationId": "revoke_sign_grants",
  "parameters": [
    {
      "$ref": "#/components/parameters/Approval"
    }
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "document_id": {
              "type": "string",
              "format": "uuid"
            }
          },
          "required": [
            "document_id"
          ]
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Success",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "ok": {
                "type": "boolean"
              }
            },
            "required": [
              "ok"
            ],
            "additionalProperties": false
          }
        }
      }
    },
    "428": {
      "$ref": "#/components/responses/ApprovalRefused"
    },
    "default": {
      "$ref": "#/components/responses/Problem"
    }
  }
}
```

Schemas referenced as `#/components/...` are in the full contract: https://docs-ecmrhub-v2.lucaspiera.com/openapi.json